Bug 1273927 - (qtcurve) Review Request: qtcurve - A set of widget styles for GTK+ and Qt widget toolkits
Review Request: qtcurve - A set of widget styles for GTK+ and Qt widget toolkits
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Raphael Groner
Fedora Extras Quality Assurance
:
Depends On:
Blocks: qt-reviews
  Show dependency treegraph
 
Reported: 2015-10-21 09:59 EDT by Rex Dieter
Modified: 2015-11-11 17:33 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-11 12:45:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
projects.rg: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2015-10-21 09:59:22 EDT
Spec URL: https://rdieter.fedorapeople.org/rpms/qtcurve/qtcurve.spec
SRPM URL: https://rdieter.fedorapeople.org/rpms/qtcurve/qtcurve-1.8.18-1.fc20.src.rpm
Description: QtCurve is a desktop theme for the GTK+ and Qt widget toolkits,
allowing users to achieve a uniform look between these widget toolkits.

Fedora Account System Username: rdieter

This package will deprecate (and Obsoletes) existing packages: qtcurve-gtk2 qtcurve-kde4
Comment 1 Upstream Release Monitoring 2015-10-21 10:48:23 EDT
rdieter's scratch build of qtcurve-1.8.18-1.fc20.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11534309
Comment 2 Raphael Groner 2015-10-22 12:08:20 EDT
I do not find any blocker. APPROVED


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines
=> Ignore, fedora-review tries to install the debuginfo package twice,
  dnf is unable to handle that.


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
=> Okay, those binaries are the theme engines.

[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD", "BSD (2 clause)", "MIT/X11 (BSD like) LGPL (v2.1 or
     v3)", "LGPL (v2.1 or v3)", "Unknown or generated". 95 files have
     unknown license. Detailed output of licensecheck in /home/builder
     /fedora-review/1273927-qtcurve/licensecheck.txt
=> Looks okay to me with "LGPLv2 or LGPLv3" as KDE e.V. wishes.

[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[-]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
=> Please retire separate legacy package qtcurve-gtk2
   (as well as qtcurve-kde4).

[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
=> Package qtcurve-kde4 must be retired.

[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 5 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Perl:
[-]: Package contains the mandatory BuildRequires and Requires:.
     Note: Requires: perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`";
     echo $version)) missing?
=> Perl script is meant for KDE4 that's not relevant any more for Fedora.


===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in qtcurve-
     libs , qtcurve-gtk2 , qtcurve-qt4 , qtcurve-debuginfo
=> Ignore, qtcurve is meant as meta-package.

[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
=> Please consider to execute those test/ files.

[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.2.13 starting (python version = 3.4.3)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
INFO: enabled ccache
Mock Version: 1.2.13
INFO: Mock Version: 1.2.13
Finish: chroot init
INFO: installing package(s): /home/builder/fedora-review/1273927-qtcurve/results/qtcurve-1.8.18-1.fc24.x86_64.rpm /home/builder/fedora-review/1273927-qtcurve/results/qtcurve-libs-1.8.18-1.fc24.x86_64.rpm /home/builder/fedora-review/1273927-qtcurve/results/qtcurve-gtk2-1.8.18-1.fc24.x86_64.rpm /home/builder/fedora-review/1273927-qtcurve/results/qtcurve-qt4-1.8.18-1.fc24.x86_64.rpm /home/builder/fedora-review/1273927-qtcurve/results/qtcurve-debuginfo-1.8.18-1.fc24.x86_64.rpm /home/builder/fedora-review/1273927-qtcurve/results/qtcurve-debuginfo-1.8.18-1.fc24.x86_64.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-x86_64/root/ --releasever 24 install /home/builder/fedora-review/1273927-qtcurve/results/qtcurve-1.8.18-1.fc24.x86_64.rpm /home/builder/fedora-review/1273927-qtcurve/results/qtcurve-libs-1.8.18-1.fc24.x86_64.rpm /home/builder/fedora-review/1273927-qtcurve/results/qtcurve-gtk2-1.8.18-1.fc24.x86_64.rpm /home/builder/fedora-review/1273927-qtcurve/results/qtcurve-qt4-1.8.18-1.fc24.x86_64.rpm /home/builder/fedora-review/1273927-qtcurve/results/qtcurve-debuginfo-1.8.18-1.fc24.x86_64.rpm /home/builder/fedora-review/1273927-qtcurve/results/qtcurve-debuginfo-1.8.18-1.fc24.x86_64.rpm --setopt=tsflags=nocontexts


Rpmlint
-------
Checking: qtcurve-1.8.18-1.fc24.x86_64.rpm
          qtcurve-libs-1.8.18-1.fc24.x86_64.rpm
          qtcurve-gtk2-1.8.18-1.fc24.x86_64.rpm
          qtcurve-qt4-1.8.18-1.fc24.x86_64.rpm
          qtcurve-debuginfo-1.8.18-1.fc24.x86_64.rpm
          qtcurve-1.8.18-1.fc24.src.rpm
qtcurve.x86_64: W: spelling-error Summary(en_US) toolkits -> toolkit, tool kits, tool-kits
qtcurve.x86_64: W: spelling-error %description -l en_US toolkits -> toolkit, tool kits, tool-kits
qtcurve.x86_64: E: no-binary
=> Ignore, qtcurve is meant as meta-package.

qtcurve.x86_64: W: no-documentation
qtcurve-libs.x86_64: W: spelling-error Summary(en_US) Runtime -> Run time, Run-time, Rudiment
qtcurve-libs.x86_64: W: spelling-error %description -l en_US Runtime -> Run time, Run-time, Rudiment
qtcurve-gtk2.x86_64: W: no-documentation

qtcurve-gtk2.x86_64: E: non-executable-script /usr/share/themes/QtCurve/gtk-2.0/map_kde_icons.pl 644 /usr/bin/env
=> Ignore, KDE4 shouldn't be relevant any more.
qtcurve-qt4.x86_64: W: obsolete-not-provided qtcurve-kde4
=> Ignore, KDE4 shouldn't be relevant any more.

qtcurve-qt4.x86_64: W: no-documentation
qtcurve-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcurve-1.8.18/x86_64-redhat-linux-gnu/.cmake_utils_base
qtcurve-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcurve-1.8.18/x86_64-redhat-linux-gnu/.cmake_utils_base
qtcurve.src: W: spelling-error Summary(en_US) toolkits -> toolkit, tool kits, tool-kits
qtcurve.src: W: spelling-error %description -l en_US toolkits -> toolkit, tool kits, tool-kits
qtcurve.src:2: W: mixed-use-of-spaces-and-tabs (spaces: line 2, tab: line 1)
6 packages and 0 specfiles checked; 2 errors, 13 warnings.




Requires
--------
qtcurve-qt4 (rpmlib, GLIBC filtered):
    libQtCore.so.4()(64bit)
    libQtDBus.so.4()(64bit)
    libQtGui.so.4()(64bit)
    libQtSvg.so.4()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libqtcurve-utils.so.1()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    qtcurve-libs(x86-64)
    rtld(GNU_HASH)

qtcurve (rpmlib, GLIBC filtered):
    qtcurve-gtk2(x86-64)
    qtcurve-qt4(x86-64)

qtcurve-libs (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libX11-xcb.so.1()(64bit)
    libX11.so.6()(64bit)
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    libxcb.so.1()(64bit)
    rtld(GNU_HASH)

qtcurve-debuginfo (rpmlib, GLIBC filtered):

qtcurve-gtk2 (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libcairo.so.2()(64bit)
    libgdk-x11-2.0.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgtk-x11-2.0.so.0()(64bit)
    libm.so.6()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libqtcurve-cairo.so.0()(64bit)
    libqtcurve-utils.so.1()(64bit)
    qtcurve-libs(x86-64)
    rtld(GNU_HASH)



Provides
--------
qtcurve-qt4:
    qtcurve-qt4
    qtcurve-qt4(x86-64)

qtcurve:
    qtcurve
    qtcurve(x86-64)

qtcurve-libs:
    libqtcurve-utils.so.1()(64bit)
    qtcurve-libs
    qtcurve-libs(x86-64)

qtcurve-debuginfo:
    qtcurve-debuginfo
    qtcurve-debuginfo(x86-64)

qtcurve-gtk2:
    libqtcurve-cairo.so.0()(64bit)
    libqtcurve.so()(64bit)
    qtcurve-gtk2
    qtcurve-gtk2(x86-64)



Unversioned so-files
--------------------
qtcurve-gtk2: /usr/lib64/gtk-2.0/2.10.0/engines/libqtcurve.so
qtcurve-qt4: /usr/lib64/qt4/plugins/styles/qtcurve.so

Source checksums
----------------
https://github.com/QtCurve/qtcurve/archive/1.8.18.tar.gz#/qtcurve-1.8.18.tar.gz :
  CHECKSUM(SHA256) this package     : 85997c9fa4a948945d719342f5993486aecf189d176408280bad9af8600873a6
  CHECKSUM(SHA256) upstream package : 85997c9fa4a948945d719342f5993486aecf189d176408280bad9af8600873a6


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -v -m fedora-rawhide-x86_64 -b 1273927
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++, Perl
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 3 Rex Dieter 2015-11-11 12:45:48 EST
in f22/f23 stable updates now, thanks.
Comment 4 Raphael Groner 2015-11-11 17:31:19 EST
Now, I can see both qtcurve-gtk2 and qtcurve-kde4 orphaned in rawhide. Is there a need to orphan in f23 and also in f22, too because we've packages wtih names in conflict here?
https://fedoraproject.org/wiki/Packaging:Conflicts
Comment 5 Rex Dieter 2015-11-11 17:33:25 EST
I don't think that's desirable

Note You need to log in before you can comment on or make changes to this bug.